net.i2p.router.web.helpers

## Class UDPSorters

- java.lang.Object
- - net.i2p.router.web.helpers.UDPSorters

-     class UDPSorters
      extends Object

  Comparators for various columns

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `UDPSorters.AlphaComparator` Comparator for sorting UDP peers by peer hash in ascending order.
    `(package private) static class` | `UDPSorters.CwndComparator` Comparator for sorting UDP peers by congestion window in ascending order.
    `(package private) static class` | `UDPSorters.DupComparator` Comparator for sorting UDP peers by duplicate packets received in ascending order.
    `(package private) static class` | `UDPSorters.IdleInComparator` Comparator for sorting UDP peers by inbound idle time in ascending order.
    `(package private) static class` | `UDPSorters.IdleOutComparator` Comparator for sorting UDP peers by outbound idle time in ascending order.
    `(package private) static class` | `UDPSorters.MTUComparator` Comparator for sorting UDP peers by maximum transmission unit in ascending order.
    `(package private) static class` | `UDPSorters.PeerComparator` Base comparator for UDP peers that falls back to peer hash comparison.
    `(package private) static class` | `UDPSorters.RateInComparator` Comparator for sorting UDP peers by inbound rate in ascending order.
    `(package private) static class` | `UDPSorters.RateOutComparator` Comparator for sorting UDP peers by outbound rate in ascending order.
    `(package private) static class` | `UDPSorters.RecvCountComparator` Comparator for sorting UDP peers by received messages count in ascending order.
    `(package private) static class` | `UDPSorters.ResendComparator` Comparator for sorting UDP peers by retransmitted packets in ascending order.
    `(package private) static class` | `UDPSorters.RTOComparator` Comparator for sorting UDP peers by retransmission timeout in ascending order.
    `(package private) static class` | `UDPSorters.RTTComparator` Comparator for sorting UDP peers by round trip time in ascending order.
    `(package private) static class` | `UDPSorters.SendCountComparator` Comparator for sorting UDP peers by sent messages count in ascending order.
    `(package private) static class` | `UDPSorters.SkewComparator` Comparator for sorting UDP peers by clock skew in ascending order.
    `(package private) static class` | `UDPSorters.SsthreshComparator` Comparator for sorting UDP peers by slow start threshold in ascending order.
    `(package private) static class` | `UDPSorters.UptimeComparator` Comparator for sorting UDP peers by uptime in ascending order.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `FLAG_ALPHA`
    `(package private) static int` | `FLAG_CWND`
    `(package private) static int` | `FLAG_DEBUG`
    `(package private) static int` | `FLAG_DUP`
    `(package private) static int` | `FLAG_IDLE_IN`
    `(package private) static int` | `FLAG_IDLE_OUT`
    `(package private) static int` | `FLAG_MTU`
    `(package private) static int` | `FLAG_RATE_IN`
    `(package private) static int` | `FLAG_RATE_OUT`
    `(package private) static int` | `FLAG_RECV`
    `(package private) static int` | `FLAG_RESEND`
    `(package private) static int` | `FLAG_RTO`
    `(package private) static int` | `FLAG_RTT`
    `(package private) static int` | `FLAG_SEND`
    `(package private) static int` | `FLAG_SKEW`
    `(package private) static int` | `FLAG_SSTHRESH`
    `(package private) static int` | `FLAG_UPTIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPSorters()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `appendSortLinks(StringBuilder buf, String urlBase, int sortFlags, String descr, int ascending)`
    `(package private) static Comparator<PeerState>` | `getComparator(int sortFlags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLAG_ALPHA

          static final int FLAG_ALPHA

      See Also:
        Constant Field Values

    - #### FLAG_CWND

          static final int FLAG_CWND

      See Also:
        Constant Field Values

    - #### FLAG_DEBUG

          static final int FLAG_DEBUG

      See Also:
        Constant Field Values

    - #### FLAG_DUP

          static final int FLAG_DUP

      See Also:
        Constant Field Values

    - #### FLAG_IDLE_IN

          static final int FLAG_IDLE_IN

      See Also:
        Constant Field Values

    - #### FLAG_IDLE_OUT

          static final int FLAG_IDLE_OUT

      See Also:
        Constant Field Values

    - #### FLAG_MTU

          static final int FLAG_MTU

      See Also:
        Constant Field Values

    - #### FLAG_RATE_IN

          static final int FLAG_RATE_IN

      See Also:
        Constant Field Values

    - #### FLAG_RATE_OUT

          static final int FLAG_RATE_OUT

      See Also:
        Constant Field Values

    - #### FLAG_RECV

          static final int FLAG_RECV

      See Also:
        Constant Field Values

    - #### FLAG_RESEND

          static final int FLAG_RESEND

      See Also:
        Constant Field Values

    - #### FLAG_RTO

          static final int FLAG_RTO

      See Also:
        Constant Field Values

    - #### FLAG_RTT

          static final int FLAG_RTT

      See Also:
        Constant Field Values

    - #### FLAG_SEND

          static final int FLAG_SEND

      See Also:
        Constant Field Values

    - #### FLAG_SKEW

          static final int FLAG_SKEW

      See Also:
        Constant Field Values

    - #### FLAG_SSTHRESH

          static final int FLAG_SSTHRESH

      See Also:
        Constant Field Values

    - #### FLAG_UPTIME

          static final int FLAG_UPTIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UDPSorters

          UDPSorters()

  - ### Method Detail

    - #### appendSortLinks

          static void appendSortLinks(StringBuilder buf,
                                      String urlBase,
                                      int sortFlags,
                                      String descr,
                                      int ascending)

    - #### getComparator

          static Comparator<PeerState> getComparator(int sortFlags)